

<!DOCTYPE html>
<html>
<head>
  <title>Posts</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      background-color: #f5f5f5;
      padding: 20px;
    }
    .post-link {
    color: #3366cc;
    text-decoration: none;
    transition: color 0.3s ease;
  }

  .post-link {
    color: #3366cc;
    text-decoration: none;
  }
    .post-container {
      background-color: #ffffff;
      border-radius: 8px;
      padding: 15px;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      margin-bottom: 20px;
      max-width: 500px;
      margin: 0 auto;
    }
    
    .post-title {
      font-size: 20px;
      margin: 0;
      margin-bottom: 10px;
    }
    
    .post-details {
      color: #888888;
      font-size: 14px;
    }
    
    .post-details span {
      margin-right: 10px;
    }
    
    .upvotes {
      color: #FF4500;
    }
    
    .comments {
      color: #008000;
    }
    
    .post-container:not(:last-child) {
      margin-bottom: 20px;
    }
    body {
    padding-top: 60px;
      /* Other styles for the body */
    }

    .navbar {
    background-color: #333;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* Other styles for the navbar */
  }

  .navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 20px;
    display: flex;
    align-items: center;
    height: 100%;
  }

  .navbar li {
    margin-right: 20px;
  }

  .navbar li:last-child {
    margin-right: 10px;
  }

  .navbar a {
    color: #fff;
    text-decoration: none;
  
    }
  </style>
</head>
<body>
  <div class="navbar">
    <ul>
      <li><a href="{% url 'post_create'  %}">Post</a></li>
      <!-- Add more navigation links as needed -->
    </ul>
  </div>
  {% if object_list %}
  {% for post in object_list %}
    <div class="post-container">
      
      <h1 class="post-title"><a href="{% url 'post' post.pk %}" class="post-link">{{ post.name }}</a></h1>
    
      <p>{{ post.body }}</p>
    
      <div class="post-details">
        <span>Posted by: <span class="author">{{ post.owner }}</span></span>
        <span>Posted on: <span class="timestamp">{{ post.public_date }}</span></span>
      </div>
    </div>
  {% endfor %}
  {% else %}
    <p>No posts found.</p>
{% endif %}
</body>
</html>